
Installer - Bug #4611

DB migrate and seed should be re-run if an error occurred during the run of either

03/10/2014 01:14 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Foreman modules   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/165

  

Description

Related issues:

Has duplicate Installer - Bug #6862: Rerunning the installer after some issue... Duplicate 07/31/2014

Associated revisions

Revision 8f9b6994 - 10/06/2014 10:20 AM - Ivan Necas

Refs #4611 - rake-ify foreman-config and db_pending_migration/seed in settings

This way, we can determine in the installer if the rake

db:migrate/seed should be run in the installer.

Later, we also could use this information to inform the entering user

that the application is not in ready state yet: preparation for

maintenance page.

Revision dcde6712 - 11/19/2014 09:01 AM - Ivan Necas

Fixes #4611,#7353 - control the db_pending_migration/db_pending_seed from installer

This allows tracking the state of migration/seeding in the database

and making sure the rake tasks are done on subsequential installer attempts when

something goes wrong the first time.

Also, as part of the `foreman-config` calls, we ensure that the

settings are initialised before the httpd starts (preventing the

race-conditions happening when the httpd and rake db:seed start at the

same time)

Closes GH-225

History

#1 - 07/31/2014 10:13 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/165 added

#2 - 07/31/2014 10:13 AM - Dominic Cleal

- Has duplicate Bug #6862: Rerunning the installer after some issue doesn't make sure that the rake tasks (migreate, seed, apipie:cache) were

finished added

#3 - 09/04/2014 09:04 AM - The Foreman Bot

- Target version set to 1.7.4

#4 - 09/10/2014 07:20 AM - Anonymous
- Target version changed from 1.7.4 to 1.7.3

#5 - 09/30/2014 10:36 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#6 - 11/19/2014 09:03 AM - Dominic Cleal

- Assignee changed from Eric Helms to Ivan Necas

- translation missing: en.field_release set to 29

#7 - 11/19/2014 10:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|dcde67122d8151e16b905201196a764671f0d63d.
